This version (v0.7) has not been published to npm yet.
Skip to content

Reference / @getenginex/sdk-igaming / GameSession

GameSession ​

The player's game session (GET /games/sessions). Opening a game ends the previous active session.

Properties ​

gameId ​

gameId: string

Game id.


gameName ​

gameName: string

Game name.


id ​

id: string

Session id.


provider ​

provider: string

Provider id.


startTime ​

startTime: string

Session start, ISO 8601 (UTC).


status ​

status: GameSessionStatus

Status, e.g. active.


totalBet ​

totalBet: number

Total wagered in the session, in minor units of the operator's currency.


totalWin ​

totalWin: number

Total won in the session, in minor units of the operator's currency.